Bug 1757388 - [abrt] mock: module(): fedora-31-x86_64.cfg:1:<module>:NameError: name 'include' is not defined
Summary: [abrt] mock: module(): fedora-31-x86_64.cfg:1:<module>:NameError: name 'inclu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:168ecdb6f77a79f22e7fa99c73e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-01 11:22 UTC by Kamil Páral
Modified: 2019-10-19 17:03 UTC (History)
7 users (show)

Fixed In Version: mock-1.4.20-1.fc31 mock-1.4.20-1.fc30 mock-1.4.20-1.fc29 mock-1.4.20-1.el7 mock-1.4.20-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-08 00:27:19 UTC


Attachments (Terms of Use)
File: backtrace (1.01 KB, text/plain)
2019-10-01 11:22 UTC, Kamil Páral
no flags Details
File: cgroup (399 bytes, text/plain)
2019-10-01 11:22 UTC, Kamil Páral
no flags Details
File: cpuinfo (1.48 KB, text/plain)
2019-10-01 11:22 UTC, Kamil Páral
no flags Details
File: environ (6.71 KB, text/plain)
2019-10-01 11:22 UTC, Kamil Páral
no flags Details
File: mountinfo (3.93 KB, text/plain)
2019-10-01 11:22 UTC, Kamil Páral
no flags Details
File: namespaces (129 bytes, text/plain)
2019-10-01 11:22 UTC, Kamil Páral
no flags Details
File: open_fds (244 bytes, text/plain)
2019-10-01 11:22 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2019-10-01 11:22:48 UTC
Description of problem:
$ mockchain -r fedora-31-x86_64 spice-protocol-0.14.0.1-1.fc32.kparal01.src.rpm 
Warning: mockchain has been deprecated. Please use `mock --chain` command.
starting logfile: None
results dir: /var/tmp/mock-chain-kparal-13896-6byd5mjq/results/fedora-31-x86_64
config dir: /var/tmp/mock-chain-kparal-13896-6byd5mjq/configs/fedora-31-x86_64
Traceback (most recent call last):
  File "/usr/bin/mockchain", line 423, in <module>
    sys.exit(main(sys.argv))
  File "/usr/bin/mockchain", line 301, in main
    res, msg = add_local_repo(config_opts['config_file'], my_mock_config, local_baseurl, 'local_build_repo')
  File "/usr/bin/mockchain", line 143, in add_local_repo
    exec(code)
  File "/etc/mock/fedora-31-x86_64.cfg", line 1, in <module>
    include('/etc/mock/templates/fedora-31.tpl')
NameError: name 'include' is not defined

Version-Release number of selected component:
mock-1.4.19-1.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        /usr/bin/python3 -tt /usr/bin/mockchain -r fedora-31-x86_64 spice-protocol-0.14.0.1-1.fc32.kparal01.src.rpm
crash_function: module
exception_type: NameError
executable:     /usr/bin/mockchain
interpreter:    python3-3.7.4-1.fc30.x86_64
kernel:         5.2.17-200.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
fedora-31-x86_64.cfg:1:<module>:NameError: name 'include' is not defined

Traceback (most recent call last):
  File "/usr/bin/mockchain", line 423, in <module>
    sys.exit(main(sys.argv))
  File "/usr/bin/mockchain", line 301, in main
    res, msg = add_local_repo(config_opts['config_file'], my_mock_config, local_baseurl, 'local_build_repo')
  File "/usr/bin/mockchain", line 143, in add_local_repo
    exec(code)
  File "/etc/mock/fedora-31-x86_64.cfg", line 1, in <module>
    include('/etc/mock/templates/fedora-31.tpl')
NameError: name 'include' is not defined

Local variables in innermost frame:
infile: '/etc/mock/fedora-31-x86_64.cfg'
destfile: '/var/tmp/mock-chain-kparal-13896-6byd5mjq/configs/fedora-31-x86_64/fedora-31-x86_64.cfg'
baseurl: 'file:///var/tmp/mock-chain-kparal-13896-6byd5mjq/results/fedora-31-x86_64'
repoid: 'local_build_repo'
f: <_io.TextIOWrapper name='/etc/mock/fedora-31-x86_64.cfg' mode='r' encoding='UTF-8'>
code: <code object <module> at 0x7f93448db390, file "/etc/mock/fedora-31-x86_64.cfg", line 1>

Comment 1 Kamil Páral 2019-10-01 11:22:51 UTC
Created attachment 1621367 [details]
File: backtrace

Comment 2 Kamil Páral 2019-10-01 11:22:52 UTC
Created attachment 1621368 [details]
File: cgroup

Comment 3 Kamil Páral 2019-10-01 11:22:53 UTC
Created attachment 1621369 [details]
File: cpuinfo

Comment 4 Kamil Páral 2019-10-01 11:22:55 UTC
Created attachment 1621370 [details]
File: environ

Comment 5 Kamil Páral 2019-10-01 11:22:56 UTC
Created attachment 1621371 [details]
File: mountinfo

Comment 6 Kamil Páral 2019-10-01 11:22:58 UTC
Created attachment 1621372 [details]
File: namespaces

Comment 7 Kamil Páral 2019-10-01 11:22:59 UTC
Created attachment 1621373 [details]
File: open_fds

Comment 8 Miroslav Suchý 2019-10-01 15:20:09 UTC
Ahh, this got broken after recent update in mock-core-config, which old mockchain cannot parse. I think it is time to fully remove mockchain. The functionality is now available as `mock --chain` with most parameters preserved.

https://github.com/rpm-software-management/mock/pull/356

Comment 9 Fedora Update System 2019-10-04 11:08:33 UTC
FEDORA-EPEL-2019-ddf315f3b1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ddf315f3b1

Comment 10 Fedora Update System 2019-10-04 11:08:37 UTC
FEDORA-2019-f651a0235f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f651a0235f

Comment 11 Fedora Update System 2019-10-04 11:08:38 UTC
FEDORA-EPEL-2019-6f272399d0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6f272399d0

Comment 12 Fedora Update System 2019-10-04 11:08:41 UTC
FEDORA-2019-ab1300d63f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab1300d63f

Comment 13 Fedora Update System 2019-10-04 21:19:22 UTC
mock-1.4.20-1.el7, mock-core-configs-31.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ddf315f3b1

Comment 14 Fedora Update System 2019-10-04 22:14:48 UTC
mock-1.4.20-1.fc30, mock-core-configs-31.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f2af5b755e

Comment 15 Fedora Update System 2019-10-04 22:50:55 UTC
mock-1.4.20-1.fc31, mock-core-configs-31.6-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab1300d63f

Comment 16 Fedora Update System 2019-10-04 23:09:04 UTC
mock-1.4.20-1.fc29, mock-core-configs-31.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f651a0235f

Comment 17 Fedora Update System 2019-10-04 23:17:32 UTC
mock-1.4.20-1.el8, mock-core-configs-31.6-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6f272399d0

Comment 18 Fedora Update System 2019-10-08 00:27:19 UTC
mock-1.4.20-1.fc31, mock-core-configs-31.6-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-10-08 19:29:22 UTC
mock-1.4.20-1.fc30, mock-core-configs-31.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-10-12 01:29:21 UTC
mock-1.4.20-1.fc29, mock-core-configs-31.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-10-19 16:52:31 UTC
mock-1.4.20-1.el7, mock-core-configs-31.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-10-19 17:03:19 UTC
mock-1.4.20-1.el8, mock-core-configs-31.6-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.